Subject: bug#21557: 25.0.50; HTML renders text invisible

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Sep 2015 10:31:49 +0300

> Date: Mon, 28 Sep 2015 15:43:16 +0900
> From: Katsumi Yamaoka <[email-masked]>
> Cc: [email-masked]
> 
> On Fri, 25 Sep 2015 04:28:46 -0400, Richard Stallman wrote:
> > I received a message whose text was rendered as invisible when I
> > viewed it in Rmail.  I think it is because of 'color:#000'.
> 
> I tried this with the form below and found no problem.  Increasing
> the value of shr-color-visible-luminance-min raises the contrast.

Does shr-color-visible-luminance-min have any effect on a TTY?  I
think Richard is using text-mode frames that support only 8 colors.

So perhaps try this in a TTY frame, and see if you still see no
problems.  If you do, perhaps we need some more magic in shr-color.el,
or maybe even in tty-colors.el (unlikely).